Ticket #32863

Nand writes for Plextor M5P/M5S(marvel 9187 based version) calculate not correct

오픈 날짜: 2014-01-08 07:26 마지막 업데이트: 2014-06-05 19:40

Reporter:
소유자:
Type:
Status:
Open [Owner assigned]
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
None
File:
7

Details

PlextorNandWritesUnit for this ssd equal size in GB, not divide by 2 (like M3S/M3P/early M5S with 9174 controller). difference between new/old M5S for its detect - new version has 0xF1/F2 attributes, also new version report 4096 bytes physical sector sizes.

for example, full write of secure erased 128G M5S drive: 0xF1: 4->3816 0xB1: 11->968

Ticket History (3/17 Histories)

2014-01-08 07:26 Updated by: vlo_id
  • New Ticket "Nand writes for Plextor M5P/M5S(marvel 9187 based version) calculate not correct" created
2014-01-08 20:08 Updated by: hiyohiyo
  • 소유자 Update from (None) to hiyohiyo
댓글 올리기

I would like you to send the result of "Edit > Copy". I would like to support new Plextor's SSDs.

2014-01-13 20:52 Updated by: hiyohiyo
댓글 올리기

It may fix on CrystalDiskInfo 6.1.0 Dev.11. http://crystalmark.info/?lang=en Please test it.

2014-01-16 07:41 Updated by: vlo_id
댓글 올리기

thanks, it fixed successfully! old/new report attached.

2014-02-17 23:27 Updated by: hiyohiyo
  • Ticket Close date is changed to 2014-02-17 23:27
  • Status Update from Open to Closed
2014-05-14 15:18 Updated by: vlo_id
  • Status Update from Closed to Open
댓글 올리기

now, its wrong calculate for some old M5P. all M5P based on 9187 controller and do not required PlextorNandWritesUnit divide by 2. in last version code serial number check "<= 2247" required only for M5S.

also liteon E200 - another branded version of plextor M3S, and has similar smart.

2014-05-15 23:24 Updated by: hiyohiyo
댓글 올리기

Thank you for your report. I will add to calculate option (divided by 2 or not) in the future release.

It is very difficult to support all SSDs.

2014-06-02 22:37 Updated by: vlo_id
댓글 올리기

I do not understand why, but 6.1.13 again does not work on old M5P drive... screenshot from 6.1.9&6.1.13 attached.

2014-06-04 23:43 Updated by: hiyohiyo
  • Ticket Close date is changed to 2014-06-04 23:43
  • Status Update from Open to Closed
댓글 올리기

Sorry, I fixed it in the 6.1.14.

2014-06-05 19:40 Updated by: vlo_id
  • Status Update from Closed to Open
댓글 올리기

ups, possible i don't understand, but code CheckPlextorNandWritesUnit() from 6.1.14 back to 6.1.12?

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login